#
# spec file for package gnugo
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gnugo
Version:        1371149103.84a32e9c
Release:        3.1
Summary:        Chinese Board Game "Go"
License:        GPL-3.0-or-later
Group:          Amusements/Games/Board/Other
URL:            https://savannah.gnu.org/projects/gnugo
Source:         %{name}-%{version}.tar.xz
Source1:        suse-start-gnugo.el
Source2:        xemacs-auto-autoloads.el
Patch0:         xemacs.patch
Patch1:         mouse-2-dont-insert-junk.patch
BuildRequires:  emacs-x11
BuildRequires:  fdupes
BuildRequires:  ncurses-devel
BuildRequires:  xemacs
BuildRequires:  xz
Requires(pre):  info
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Chinese ancient board game.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -fcommon"
export CXXFLAGS="%{optflags} -fcommon"
%configure --prefix=%{_prefix}
make %{?_smp_mflags}
pushd  interface/xpms
    emacs -batch --no-site-file \
    -l ../make-xpms-file.el -f make-xpms-file gnugo-xpms.el *.xpm
popd

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
rm -f %{buildroot}%{_infodir}/dir*
# GNU Emacs:
mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp/gnugo
for i in $(find . -name "*.el")
do
    emacs -no-site-file -q -batch -f batch-byte-compile $i
    install -m 644 ${i} ${i}c \
                   %{buildroot}%{_datadir}/emacs/site-lisp/gnugo
done
install -m 644 %{SOURCE1} \
	%{buildroot}%{_datadir}/emacs/site-lisp
# XEmacs:
find . -name "*.elc" | xargs rm
mkdir -p %{buildroot}%{_datadir}/xemacs/site-packages/lisp/gnugo
for i in $(find . -name "*.el")
do
    xemacs -no-site-file -q -batch -f batch-byte-compile $i
    install -m 644 ${i} ${i}c \
            %{buildroot}%{_datadir}/xemacs/site-packages/lisp/gnugo
done
install -m 644 %{SOURCE2} \
	%{buildroot}%{_datadir}/xemacs/site-packages/lisp/gnugo/auto-autoloads.el

%fdupes %{buildroot}%{_prefix}/share

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc AUTHORS THANKS ChangeLog TODO README NEWS
%license COPYING
%{_bindir}/%{name}
%{_infodir}/gnugo.info*.gz
%{_mandir}/man6/gnugo.6.gz
%dir %{_datadir}/emacs/site-lisp/gnugo/
%{_datadir}/emacs/site-lisp/gnugo/*
%{_datadir}/emacs/site-lisp/suse-start-gnugo.el
%dir %{_datadir}/xemacs/site-packages/
%dir %{_datadir}/xemacs/site-packages/lisp/
%dir %{_datadir}/xemacs/site-packages/lisp/gnugo/
%{_datadir}/xemacs/site-packages/lisp/gnugo/*

%changelog
* Tue Feb 27 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Mon Nov  6 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Thu Jun 11 2020 Matej Cepl <mcepl@suse.com>
- Enable -fcommon which is not default with GCC10.
* Thu Jun 11 2020 mcepl@cepl.eu
- Update to version 1371149103.84a32e9c:
  * Avoid crashing due to registering an invalid loss move reason.
  * Change pieces to stones in board output in ascii mode.
  * Update copyright notices for 2011.
  * gunnar_9_2.1. Remove tactical semeai reading. (#228)
  * Removed built joseki *.db files from EXTRA_DIST.
  * Replaced .cvsignore files with .gitignore files.
  * rel-3-9-1
  * reran automake to finish remove of automake-1.4
  * removed automake-1.4.patch from doc/Makefile.am
  * removed automake-1.4
* Thu Jun 11 2020 mcepl@cepl.eu
- Update to version 20130613.84a32e9c:
  * Avoid crashing due to registering an invalid loss move reason.
  * Change pieces to stones in board output in ascii mode.
  * Update copyright notices for 2011.
  * gunnar_9_2.1. Remove tactical semeai reading. (#228)
  * Removed built joseki *.db files from EXTRA_DIST.
  * Replaced .cvsignore files with .gitignore files.
  * reran automake to finish remove of automake-1.4
  * removed automake-1.4.patch from doc/Makefile.am
  * removed automake-1.4
* Sun Aug 23 2015 i@marguerite.su
- Update to version 3.9.1+git20130613.84a32e9:
  + removed automake-1.4
  + removed automake-1.4.patch from doc/Makefile.am
  + reran automake to finish remove of automake-1.4
  + Removed built joseki *.db files from EXTRA_DIST.
  + gunnar_9_2.1. Remove tactical semeai reading. (#228)
  + Change pieces to stones in board output in ascii mode.
  + Avoid crashing due to registering an invalid loss move reason.
* Thu Feb 21 2013 i@marguerite.su
- Update to version 3.9.1
  * small bug fixes and tunings.
* Fri Jan  8 2010 vuntz@opensuse.org
- Update to version 3.8:
  + many small improvements and tuning since 3.6
  + experimental Monte Carlo mode (9x9 only)
  + support for tiny boards
  + GPL v3
- Change License to GPL v3 or later.
- Drop bugzilla-225902.patch: fixed upstream.
- Remove unneeded BuildRequires: giflib-devel, glib-devel, krb5,
  libpng-devel, libtiff-devel, openldap2-devel, xorg-x11-devel.
- Do not call autoconf.
- Use configure, make install macros, and bindir, datadir instead
  of /usr/bin, /usr/share.
* Tue Dec  4 2007 mfabian@suse.de
- remove openldap2 from BuildRequires.
- use fdupes.
* Mon Apr  2 2007 rguenther@suse.de
- add ncurses-devel BuildRequires.
* Tue Dec  5 2006 mfabian@suse.de
- update to 3.7.10
- fix Bugzilla #225902 ("comparison with string literal").
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Feb  4 2005 mfabian@suse.de
- update to 3.7.2.
- adapt XEmacs patch.
* Fri Jan 21 2005 mfabian@suse.de
- add missing directories to file list to make it build on
  SuSE 9.2.
* Thu Jan 20 2005 mfabian@suse.de
- install Emacs-lisp files.
- small fix for XEmacs to make at least the ASCII mode work with
  XEmacs (graphical mode still doesn't work).
* Wed Dec  1 2004 adrian@suse.de
- update to version 3.6
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Mon Oct  6 2003 adrian@suse.de
- update to version 3.4
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Wed Feb 12 2003 mmj@suse.de
- Add %%install_info macros [#23416]
* Tue Jan 28 2003 ro@suse.de
- fix build with gcc-3.3 (-Wp,-lang-c89 unsupported)
* Tue Aug  6 2002 adrian@suse.de
- fix file conflicts
* Tue Aug  6 2002 adrian@suse.de
- update to version 3.2
- use BuildRoot
* Wed May  9 2001 mfabian@suse.de
- bzip2 sources
* Mon Nov  6 2000 ro@suse.de
- fixed neededforbuild
* Fri Mar 31 2000 nadvornik@suse.cz
- removed directories owned by aaa_dir
- filelist cleanup
* Wed Feb 16 2000 uli@suse.de
- fixed %%files section
* Wed Feb 16 2000 kettner@suse.de
- New version 2.6
- moved man and info to /usr/share
* Thu Nov 25 1999 kettner@suse.de
- New version 2.5.42
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
